Steam for Linux

Steam for Linux

Steam for Linux > Algemene discussies > Details van topic
Open GL error. Can't start TF2
Hi I recently installed linux ubuntu 12.04 on my imac. I tried staring TF2 but it gave me a open gl error saying something about gl_ext_texture_srgb_decode. How do I fix this? I'm new to linux so detailed solutions would be nice. I also have a radeon 2400 HD gpu.
< >
1-15 van 15 reacties weergegeven
Have you installed the proprietary drivers or are you using the default open source ones?. System administration --> Additional drivers should do it.
I already installed the additional drivers ati thing.
The radeon 2400 HD needs the newest legacy drivers, which are not in the official repositories yet ( i think ).
There are instructions here for 12.10, http://ubuntuxtreme.com/howto/how-to-fix-your-amd-graphics-in-ubuntu-12-10/
but you're in 12.04.
I think you'll have to install the driver yourself.

Try reading this post http://steamcommunity.com/app/221410/discussions/4/864957183207954831/
Thanks but how do I install the drivers correctly? Do I just un zip them?
Actually, you might be able to use this ppa:

From a terminal, run the following:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

Then reboot.
Laatst bewerkt door Anorak Man; 23 feb 2013 om 6:33vm
I did all of the commands but the last one says it was unable to locate package fglrx-legacy
I hoped that would work. The PPA is for 12.10 but I found someone saying it was working on 12.04 too.

Can you try rebooting and trying again? I sincerely doubt it will work, but just in case. Otherwise it's manual driver install time.
Yep it didn't work again. So how do I manually install the driver? Also thanks for the help so far :)
Manual driver install:
//this command downloads the driver
#wget http://www2.ati.com/drivers/legacy/amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.zip

//this command unzips the driver
#unzip amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.zip

//this command removes any other ATI drivers
#sudo apt-get remove fglrx*

//this prepares the system. There's a lot of stuff in here and it would take all day to explain it
#sudo apt-get install debhelper dh-modaliases execstack build-essential cdbs fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-$(uname -r)

//this actually does the install
#sudo sh ./amd-driver-installer-**-*-x86.x86_64.run --buildandinstallpkg

//this configures it.
#sudo /usr/bin/aticonfig --initial

After this, reboot.
Okay I quess it worked but now I'm getting a new error. It says to require open GL extension "GL_EXT_texture_compression_s3tc" is not supported please install S3TC texture support.
Which one worked? The PPA or the manual install?
Ok. Can you please run steam from the terminal, and paste the output from steam to here?
Oh crap I thought reinstalling the ati drivers form te additional drivers thing would fix the problem but it just gives me the same problem with the srgb texture thing.
< >
1-15 van 15 reacties weergegeven
Per pagina: 15 30 50

Steam for Linux > Algemene discussies > Details van topic
Geplaatst op: 22 feb 2013 om 6:42nm
Aantal berichten: 15